
attribute vec4 pos;
varying vec2 tc;

void main()
{
    tc = (pos.xy+1.0)/2.0;
    tc.y = 1.0 - tc.y;
    gl_Position = vec4(pos.xy, 0.0, 1.0);
}

//FRAGMENT

void main(void)
{
  
  gl_FragColor = vec4(1,1,0,1);

  float grad = length(tc); //gradient
  float polarGrad = 1.0-clamp(length(tc-.5)*2.0/1.41, 0.0, 1.0);
  gl_FragColor = grad;//vec4(polarGrad);

  gl_FragColor = mix(vec4(.3,.5,.6,0), vec4(1.3,1.2,1.3,1),pow(polarGrad, 1.90));
  //gl_FragColor = (.5-tc.y+.5);
  gl_FragColor *= (.25+.75*sin(tc.y*1.0*3.141592)); 

 //gl_FragColor = vec4(tc.y*tc.x);
// gl_FragColor = vec4(tc.xy, 0, 1);
 //gl_FragColor = vec4(.96);
}
